Bug 474843 - Review Request: pdfbook - Rearrange pages in a PDF file into signatures
Review Request: pdfbook - Rearrange pages in a PDF file into signatures
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 11:01 EST by Mary Ellen Foster
Modified: 2009-01-07 23:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 23:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-12-05 11:01:25 EST
Spec URL: http://mef.fedorapeople.org/packages/pdfbook/pdfbook.spec
SRPM URL: http://mef.fedorapeople.org/packages/pdfbook/pdfbook-0-1.20070930.fc10.src.rpm

Description:
Rearrange pages in a PDF file into signatures and (optionally) rescale
to fit 2 original pages on 1 physical one. Allows one to easily
convert pdf documents to booklet format, e.g. transform from A4 paper
to A5 pages on A4 paper, such that one can fold the pages and obtains
a small booklet.

NB: I'm not sure about the version to give this thing -- it comes from http://www.ctan.org/tex-archive/support/pdfbook/ and doesn't seem to have any sort of version number. I gave it a version derived from the guidelines on CVS snapshots ...
Comment 1 Mary Ellen Foster 2008-12-05 11:16:47 EST
If anyone was *very* fast, I've actually just updated the above spec file and srpm.

Another thing I don't know about: somehow this package ends up not building a debuginfo package and then complaining that the binary isn't stripped. I can't see through the flames on bug 192422 to see if this is an instance of the problem presented there -- I do have %build and %install sections (albeit trivial ones) ...
Comment 2 Jason Tibbitts 2008-12-06 19:38:49 EST
The problem is that things are a little bit too trivial, so you end up rolling  your own and the automated debuginfo extraction bits get confused.  Try these:

%prep
%setup -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
gcc $RPM_OPT_FLAGS pdfbook.c -o pdfbook

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}/
install -m 755 %{name} ${RPM_BUILD_ROOT}%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*

Builds fine for me, with no rpmlint complaints and a proper debuginfo file.
Comment 3 Mary Ellen Foster 2008-12-09 10:35:31 EST
Thanks for the suggestions -- I've incorporated them into a new version of the package:

http://mef.fedorapeople.org/packages/pdfbook/pdfbook.spec
http://mef.fedorapeople.org/packages/pdfbook/pdfbook-0-2.20070930.fc10.src.rpm
Comment 4 Mary Ellen Foster 2008-12-09 11:41:20 EST
NB: I just replaced the above spec and SRPM with one that uses the latest greatest BuildRoot specification too.
Comment 5 Jason Tibbitts 2008-12-10 16:52:21 EST
Note that you are guaranteed that %{fedora} >= 9 at this point, since you cannot branch for F-8.  No harm in keeping the conditional if you really want it, though.

I'm a bit confused about the versioning.  One one hand, you could say that the version is simply 20070930 and use that as Version:; on the other hand, you could say that upstream has never released any version and so this is a prerelease.  In the latter case, we don't use Release: 1 or greater for prereleases, so you would have:
  Version: 0
  Release: 0.2.20070930%{?dist}
according to http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

That's really the only issue I see.

* source files match upstream.  
  242eb0943c5574a6a1ac7d1e40354d3e2be74e838e82241c0f6b5d1d06f913fe  pdfbook.c
  266a40b44aec5f182328054dd2ed301fb4c7d60414423a9bb4e2c27c7cffe1d4  README
X package does not meet versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   pdfbook = 0-2.20070930.fc11
   pdfbook(x86-64) = 0-2.20070930.fc11
  =
   poppler-utils
   texlive-texmf-latex

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 6 Mary Ellen Foster 2008-12-11 03:45:39 EST
Thanks for your comments! I guess I misread the version specifications ... anyway, I switched to the following because I think it's simpler and neater than the other alternative:

    Version: 20070930
    Release: 3%{?dist}

http://mef.fedorapeople.org/packages/pdfbook/pdfbook.spec
http://mef.fedorapeople.org/packages/pdfbook/pdfbook-20070930-3.fc10.src.rpm
Comment 7 Jason Tibbitts 2008-12-12 14:00:14 EST
Yes, that makes sense.  The only concern when using the date as a version is that upstream may, possibly, decide to release version 1.0 one day.  If that happens, you will need to use Epoch:.  Cross that bridge if you ever happen to come to it.

Anyway, everything looks good to me.

APPROVED
Comment 8 Dennis Gilmore 2008-12-15 15:53:55 EST
there is no CVS request here to process.  plase set back to ? with a CVS admin request as per https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 9 Mary Ellen Foster 2008-12-15 16:00:59 EST
New Package CVS Request
=======================
Package Name: pdfbook
Short Description: Rearrange pages in a PDF file into signatures
Owners: mef
Branches: F-9 F-10
InitialCC:

(sorry about the previous empty request ...)
Comment 10 Dennis Gilmore 2008-12-15 16:04:50 EST
CVS Done
Comment 11 Fedora Update System 2008-12-16 10:13:52 EST
pdfbook-20070930-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfbook-20070930-3.fc10
Comment 12 Fedora Update System 2008-12-16 10:14:31 EST
pdfbook-20070930-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pdfbook-20070930-3.fc9
Comment 13 Fedora Update System 2008-12-21 03:35:17 EST
pdfbook-20070930-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pdfbook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11592
Comment 14 Fedora Update System 2008-12-21 03:41:27 EST
pdfbook-20070930-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfbook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11569
Comment 15 Fedora Update System 2009-01-07 23:17:12 EST
pdfbook-20070930-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-01-07 23:17:21 EST
pdfbook-20070930-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.